Subject: [bug#55343] [PATCH 2/2] image: Add new efi32-raw format for 32bit UEFI on 64bit systems

From: Maxime Devos <[email-masked]>
Date: Wed, 11 May 2022 11:07:22 +0200

Denis 'GNUtoo' Carikli schreef op di 10-05-2022 om 23:39 [+0200]:
> On Tue, 10 May 2022 11:32:52 +0200
> Maxime Devos <[email-masked]> wrote:
> 
> > Denis 'GNUtoo' Carikli schreef op di 10-05-2022 om 01:24 [+0200]:
> > > +           ((#:configure-flags flags
> > > +             ''()) `(cons* ,(cond ((target-x86?) "--
> target=i386")
> > > +                                  ((target-arm?) "--
> target=arm"))
> > > +                           ,flags)))))))
> > 
> > Isn't this just grub but compiled for the 32-bit variant of the
> > system?
> 
> > Or do you mean to use 'grub' as a cross-compiler here (instead of
> > something that is being cross-compiled), like 'gcc'?
> Apparently the modification I did (passing --target=i386) results in
> a
> 64bit grub-mkimage and 32bit modules in lib/grub/i386-efi so I think
> it's more like a cross-compiler. I verified that by installing
> grub-efi32 and using file on the mentioned files.
> [...]

Ok, --target looks like a better fit in this case.  Though now I'm
wondering if on i686-linux we might need a grub-efi64 variant on some
setups ...

Greetings,
Maxime